%define name htdig
%define version 3.1.5
%define release 2mdk

Name:		%{name}
Summary:	A web indexing and searching system for a small domain or intranet
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Networking/Other
URL:		http://www.htdig.org/
Source:		%{name}-%{version}.tar.bz2
Source1:    htdig-dbgen
Patch:		%{name}.patch.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
Packager:	Chris Green <cmg@dok.org>

%description
The ht://Dig system is a complete world wide web indexing and searching system 
for a small domain or intranet. This system is not meant to replace the need 
for powerful internet-wide search systems like Lycos, Infoseek, Webcrawler and 
AltaVista. Instead it is meant to cover the search needs for a single company, 
campus, or even a particular sub section of a web site.

As opposed to some WAIS-based or web-server based search engines, ht://Dig can 
span several web servers at a site. The type of these different web servers 
doesn't matter as long as they understand the HTTP 1.0 protocol.


%prep
%setup -q

%patch -p1


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--bindir=/usr/sbin --libexec=/usr/lib --libdir=/usr/lib \
	--mandir=/usr/man --sysconfdir=/etc/htdig \
	--localstatedir=/var/lib/htdig \
	--with-image-dir=/home/httpd/html/htdig \
	--with-cgi-bin-dir=/home/httpd/cgi-bin \
	--with-search-dir=/home/httpd/html
make


%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
# ln -s ../../usr/sbin/rundig $RPM_BUILD_ROOT/etc/cron.daily/htdig-dbgen
cp $RPM_SOURCE_DIR/htdig-dbgen $RPM_BUILD_ROOT/etc/cron.daily/htdig-dbgen
ln -s ../../../../usr/doc/htdig-%{PACKAGE_VERSION} \
	$RPM_BUILD_ROOT/home/httpd/html/htdig/htdoc

%pre
egrep "^htdig:" /etc/group >/dev/null
if [ $? = 1 ]; then
    # echo "adding htdig group"
    groupadd -r htdig
fi

egrep "^htdig:" /etc/passwd >/dev/null
if [ $? = 1 ]; then
    # echo "adding htdig user"
    useradd -r -g htdig -s "" -d /var/lib/htdig htdig 
fi

%preun
# we're uninstalling
if [ $1 = 0 ]; then

    egrep "^htdig:" /etc/passwd >/dev/null
    if [ $? = 0 ]; then
	# echo "removing htdig user"
	userdel htdig # userdel seems to nuke the group too..
    fi

    egrep "^htdig:" /etc/group >/dev/null
    if [ $? = 0 ]; then
	# echo "removing htdig group"
	groupdel htdig
    fi
fi

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
# Only run this if installing for the first time
if [ "$1" = 1 ]; then
	SERVERNAME="`grep '^ServerName' /etc/httpd/conf/httpd.conf | awk 'NR == 1 {print $2}'`"
	[ -z "$SERVERNAME" ] && SERVERNAME="`hostname -f`"
	[ -z "$SERVERNAME" ] && SERVERNAME="localhost"
	sed 's/^start_url:.*/#&\
# (See end of file for this parameter.)/' /etc/htdig/htdig.conf > /tmp/ht.$$
	cat /tmp/ht.$$ > /etc/htdig/htdig.conf
	rm /tmp/ht.$$
	cat >> /etc/htdig/htdig.conf <<!

# Automatically set up by htdig RPM, from your current Apache httpd.conf...
# Verify and configure these, and set maintainer above, before running
# /usr/sbin/rundig.
# See /usr/doc/htdig*/attrs.html for descriptions of attributes.

# The URL(s) where htdig will start.  See also limit_urls_to above.
start_url:	http://$SERVERNAME/

# This makes sure that we don't spider the web
local_urls_only: true

# These attributes allow indexing server via local filesystem rather than HTTP.
local_urls:	http://$SERVERNAME/=/home/httpd/html/
local_user_urls:	http://$SERVERNAME/=/home/,/public_html/
!

fi


%files
%defattr(-,root,root,0755)
%doc CONFIG README htdoc/*
%config(noreplace) /etc/htdig/htdig.conf
/usr/sbin/rundig
/home/httpd/html/search.html
%config(missingok) %attr(0755,root,root) /etc/cron.daily/htdig-dbgen
/usr/sbin/htdig
/usr/sbin/htfuzzy
/usr/sbin/htmerge
/usr/sbin/htnotify
%attr(-,htdig,htdig) /var/lib/htdig
/home/httpd/cgi-bin/htsearch
/home/httpd/html/htdig


%changelog
* Wed Apr 12 2000 Chris Green <cmg@dok.org> 3.1.5-2mdk
- made htdig run as the htdig user
- added noreplace to config file
    
* Tue Apr 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.5-1mdk
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Fri Mar 24 2000 Vincent Danen <vdanen@linux-mandrake.com>
- adapted spec file by Gilles Detillieux <grdetil@scrc.umanitoba.ca>
- 3.1.5
- bzip sources
